<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Product Card</title>
</head>
<body>

<div th:fragment="sidebarCheckbox (id, name, value, labelText, isChecked)" class="sidebar-check">
    <label for="chk1" class="form-check-label"
           th:for="${id}">
        <input type="checkbox" name="checkbox" value="categoryId" id="chk1"
               class="form-check-input"
               th:id="${id}"
               th:name="${name}"
               th:value="${value}"
               th:checked="${isChecked}"/>
        <span th:text="${labelText}">Checkbox label</span>
    </label>
</div>

</body>
</html>